import express, { Router } from 'express';
import cors from 'cors';
import 'express-async-errors';
import { handleError, ValidationError } from './utils/error';
import rateLimit from 'express-rate-limit';
import { registerRouter } from './routers/account.router';
import { config } from './config/config';


const app = express();

app.use(cors({
    origin: config.corsOrigin,
}))
app.use(express.json());


app.use(rateLimit({
    windowMs: 5 * 60 * 1000,
    max: 100,
}))

// Na hostingu:
const router = Router();
router.use('/register', registerRouter)

app.use('/api', router);

// na PC:
// app.use('/register', registerRouter);
app.use(handleError);

app.listen(3001, '0.0.0.0', () => {
    console.log('Listening on port http://localhost:3001')
})